Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.annots.RichTextStyle Class Reference

Inherits SystemIDisposable.

## Public Types
enum | CornerMarkStyle { CornerMarkStyle.e_CornerMarkNone = 1, CornerMarkStyle.e_CornerMarkSuperscript = 2, CornerMarkStyle.e_CornerMarkSubscript = 3 }
| Enumeration for corner mark style. More...

## Public Member Functions
| RichTextStyle (Font font, float text_size, Alignment text_alignment, int text_color, bool is_bold, bool is_italic, bool is_underline, bool is_strikethrough, RichTextStyle.CornerMarkStyle mark_style, float char_space, float word_space)
| Constructor, with parameters. More...
| RichTextStyle ()
| Constructor.
| RichTextStyle (RichTextStyle style)
| Constructor, with another style object. More...
void | Set (Font font, float text_size, Alignment text_alignment, int text_color, bool is_bold, bool is_italic, bool is_underline, bool is_strikethrough, RichTextStyle.CornerMarkStyle mark_style, float char_space, float word_space)
| Set value. More...

## Properties
float | char_space`[get, set]`
| The char space. It should not be negative value for table generator. It is only used in pdf.PDFPage.AddText .
Font? | font`[get, set]`
| A font used in rich text style. It should be a valid font object. More...
bool | is_bold`[get, set]`
| A boolean value which indicates whether to make text bold or not.
bool | is_italic`[get, set]`
| A boolean value which indicates whether to italicize text or not.
bool | is_strikethrough`[get, set]`
| A boolean value which indicates whether to cross text out with strike through or not.
bool | is_underline`[get, set]`
| A boolean value which indicates whether to underline text or not.
RichTextStyle.CornerMarkStyle | mark_style`[get, set]`
| Corner mark style. Corner mark style which can be used to make text as superscript or subscript or not as any kind of corner mark. Please refer to values starting from foxit.pdf.annots.RichTextStyle.CornerMarkStyle.e_CornerMarkNone and this should be one of these values.
Alignment | text_alignment`[get, set]`
| Alignment value. Please refer to values starting from foxit.common.Alignment.e_AlignmentLeft and this should be one of these values.
int | text_color`[get, set]`
| Text color. Format: 0xRRGGBB.
float | text_size`[get, set]`
| Text size. It should not be negative value. 0 means text will not be shown.
float | word_space`[get, set]`
| The word space. It should not be negative value for table generator. It is only used in pdf.PDFPage.AddText .

## Detailed Description

This class represents rich text style data, which is used to specify the style of rich text.

## Member Enumeration Documentation

## ◆ CornerMarkStyle

enum foxit.pdf.annots.RichTextStyle.CornerMarkStyle
| strong

Enumeration for corner mark style.

Values of this enumeration should be used alone.

Enumerator
e_CornerMarkNone | Corner mark style: none.
e_CornerMarkSuperscript | Corner mark style: superscript.
e_CornerMarkSubscript | Corner mark style: subscript.

## Constructor & Destructor Documentation

## ◆ RichTextStyle() [1/2]

foxit.pdf.annots.RichTextStyle.RichTextStyle | ( | Font | font,
|  | float | text_size,
|  | Alignment | text_alignment,
|  | int | text_color,
|  | bool | is_bold,
|  | bool | is_italic,
|  | bool | is_underline,
|  | bool | is_strikethrough,
|  | RichTextStyle.CornerMarkStyle | mark_style,
|  | float | char_space,
|  | float | word_space
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | font | A valid font object.
  [in] | text_size | Text size. It should not be negative value. 0 means text will not be shown.
  [in] | text_alignment | Alignment value. Please refer to values starting from foxit.common.Alignment.e_AlignmentLeft and this should be one of these values.
  [in] | text_color | Text color. Format: 0xRRGGBB.
  [in] | is_bold | A boolean value which indicates whether to make text bold or not.
  [in] | is_italic | A boolean value which indicates whether to italicize text or not.
  [in] | is_underline | A boolean value which indicates whether to underline text or not.
  [in] | is_strikethrough | A boolean value which indicates whether to cross text out with strike through or not.
  [in] | mark_style | Corner mark style which can be used to make text as superscript or subscript or not as any kind of corner mark. Please refer to values starting from foxit.pdf.annots.RichTextStyle.CornerMarkStyle.e_CornerMarkNone and this should be one of these values.
  [in] | char_space | The char space. It should not be negative value for table generator. It is only used in pdf.PDFPage.AddText and table generator.
  [in] | word_space | The word space. It should not be negative value for table generator. It is only used in pdf.PDFPage.AddText and table generator.

## ◆ RichTextStyle() [2/2]

foxit.pdf.annots.RichTextStyle.RichTextStyle | ( | RichTextStyle | style | ) |
| inline

Constructor, with another style object.

Parameters

  [in] | style | Another style object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.annots.RichTextStyle.Set | ( | Font | font,
|  | float | text_size,
|  | Alignment | text_alignment,
|  | int | text_color,
|  | bool | is_bold,
|  | bool | is_italic,
|  | bool | is_underline,
|  | bool | is_strikethrough,
|  | RichTextStyle.CornerMarkStyle | mark_style,
|  | float | char_space,
|  | float | word_space
| ) |  |
| inline

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | text_size | Text size. It should not be negative value. 0 means text will not be shown.
  [in] | text_alignment | Alignment value. Please refer to values starting from foxit.common.Alignment.e_AlignmentLeft and this should be one of these values.
  [in] | text_color | Text color. Format: 0xRRGGBB.
  [in] | is_bold | A boolean value which indicates whether to make text bold or not.
  [in] | is_italic | A boolean value which indicates whether to italicize text or not.
  [in] | is_underline | A boolean value which indicates whether to underline text or not.
  [in] | is_strikethrough | A boolean value which indicates whether to cross text out with strike through or not.
  [in] | mark_style | Corner mark style which can be used to make text as superscript or subscript or not as any kind of corner mark. Please refer to values starting from foxit.pdf.annots.RichTextStyle.CornerMarkStyle.e_CornerMarkNone and this should be one of these values.
  [in] | char_space | The char space. It should not be negative value for table generator. It is only used in pdf.PDFPage.AddText .
  [in] | word_space | The word space. It should not be negative value for table generator. It is only used in pdf.PDFPage.AddText .

Returns
  None.

## Property Documentation

## ◆ font

Font foxit.pdf.annots.RichTextStyle.font
| get set

A font used in rich text style. It should be a valid font object.

- When current style is used to set a rich text or add/insert a new rich text, this font means "user expects to use this font for a rich text". Then during resetting appearance process, Foxit PDF SDK will check if the expected font is suitable and decide to use it or change to a more suitable font for showing text content.

- When current style is retrieved from a rich text, this font represents the used font of a rich text.